<?php
session_start();
error_reporting(0);
include "../config/koneksi.php";
$module=$_GET[module];
$act=$_GET[act];
$detail=mysql_query("SELECT * FROM rb_kategori_produk where id_kategori='$_POST[kategori]'");
	$d   = mysql_fetch_array($detail);

// Hapus pembelian
if ($act=='hapus'){
  mysql_query("DELETE FROM rb_pembelian WHERE id_pembelian='$_GET[id]'");
			echo "<script>window.alert('Sukses Hapus Data pada List Pembelian.');
				window.location='pembelian-$d[id_kategori].html'</script>";	
}

// Input pembelian
elseif ($act=='input'){
  mysql_query("INSERT INTO rb_pembelian(tanggal,
                                 faktur,
								 distributor,
								 produk,
								 kategori,
								 jumlah_rp,
								 diskon,
								 ongkos,
								 dp,
								 keterangan,
								 status) 
	                       VALUES('$_POST[tanggal]',
                                '$_POST[faktur]',
								'$_POST[distributor]',
								'$_POST[produk]',
								'$_POST[kategori]',
								'$_POST[jumlah_rp]',
								'$_POST[diskon]',
								'$_POST[ongkos]',
								'$_POST[dp]',
								'$_POST[keterangan]',
								'$_POST[status]')");
			echo "<script>window.alert('Sukses Menambahkan List Pembelian.');
				window.location='pembelian-$d[id_kategori].html'</script>";	
}

// Update pembelian
elseif ($act=='update'){
    mysql_query("UPDATE rb_pembelian SET tanggal  = '$_POST[tanggal]', 
                                     faktur       = '$_POST[faktur]',
								     distributor  = '$_POST[distributor]',
									 produk		  = '$_POST[produk]',
									 kategori	  = '$_POST[kategori]',
									 jumlah_rp	  = '$_POST[jumlah_rp]',
									 diskon		  = '$_POST[diskon]',
									 ongkos		  = '$_POST[ongkos]',
									 dp			  = '$_POST[dp]',
									 keterangan	  = '$_POST[keterangan]',
									 status		  = '$_POST[status]' 
                              WHERE  id_pembelian = '$_POST[id]'");
			echo "<script>window.alert('Sukses Mengedit List Pembelian.');
				window.location='pembelian-$d[id_kategori].html'</script>";	
}
?>
